import React from 'react';
import prisma from '@/lib/prisma';

// 服务器端渲染页面的组件
function ServerSidePage({ folders }) {
  return (
    <div>
      <h1>Server-side Rendered Page</h1>
      <p>{folders?.map(it=>it.name)}</p>
    </div>
  );
}

// 服务器端渲染方法，获取数据并将其作为 props 传递给组件

export const getServerSideProps = async () => {
  const folders = await prisma.folder.findMany({
    // where: { published: true },
    // include: {
    //   author: {
    //     select: { name: true },
    //   },
    // },
  });
  console.log('==========11=================');
  console.log(folders);
  console.log('==========22================');
  return {
    props: { folders },
    // revalidate: 10, //轮询
  };
};

export default ServerSidePage;